import httpRequest from '@/utils/axios'

// 获取课程列表
export function getCourseList(params?: { id?: string }) {
  return httpRequest.get('/api/saas/api/v1/course/list', { params })
}
// 搜索课程
export function searchCourseList(params?: { id?: string }) {
  return httpRequest.get('/api/saas/api/v1/course/search', { params })
}
// 置顶课程
export function topCourse(data: { id: string; status: number }) {
  return httpRequest.post('/api/saas/api/v1/course/sticky-top', data)
}
// 获取课程详情信息
export function getCourse(params: { course_id: string; semester_id: string }) {
  return httpRequest.get(`/api/saas/api/v1/course/${params.course_id}/detail/${params.semester_id}`, { params })
}
// 获取课程列表
export function getChapterTreeList(data: { course_id: string; semester_id: string }) {
  return httpRequest.post('/api/saas/api/v1/chapter/tree', data)
}
